<?php
namespace Asalae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ArchiveBinariesFixture
 */
class ArchiveBinariesFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'sample.wmv',
                'format' => 'fmt/133',
                'mime' => 'video/x-ms-wmv',
                'extension' => 'wmv',
                'stored_file_id' => 1,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '{"category":"video","codecs":{"video":"wmv2","audio":"wmav2","container":"asf"},"puid":{"ns":"pronom","id":"fmt\/133","format":"Windows Media Video","version":"","mime":"video\/x-ms-wmv","basis":"extension match wmv; byte match at [[0 30] [278 109]]","warning":""}}',
            ],
            [// id=2
                'is_integrity_ok' => null,
                'type' => 'preservation_data',
                'filename' => 'sample_wmv.mp4',
                'format' => 'fmt/199',
                'mime' => 'video/mp4',
                'extension' => 'mp4',
                'stored_file_id' => 5,
                'original_data_id' => 1,
                'in_rgi' => null,
                'app_meta' => null,
            ],
            [// id=3
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'file1.txt',
                'format' => 'x-fmt/111',
                'mime' => 'text/plain',
                'extension' => 'txt',
                'stored_file_id' => 6,
                'original_data_id' => null,
                'in_rgi' => true,
                'app_meta' => '{"category":"document_text","codecs":{"video":"ansi","container":"tty"},"puid":{"ns":"pronom","id":"x-fmt\/111","format":"Plain Text File","version":"","mime":"text\/plain","basis":"extension match txt; text match ASCII","warning":""}}',
            ],
            [// id=4
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'file1.txt',
                'format' => 'x-fmt/111',
                'mime' => 'text/plain',
                'extension' => 'txt',
                'stored_file_id' => 14,
                'original_data_id' => null,
                'in_rgi' => true,
                'app_meta' => '{"category":"document_text","codecs":{"video":"ansi","container":"tty"},"puid":{"ns":"pronom","id":"x-fmt\/111","format":"Plain Text File","version":"","mime":"text\/plain","basis":"extension match txt; text match ASCII","warning":""}}',
            ],
            [// id=5
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'file1.txt',
                'format' => 'x-fmt/111',
                'mime' => 'text/plain',
                'extension' => 'txt',
                'stored_file_id' => 18,
                'original_data_id' => null,
                'in_rgi' => true,
                'app_meta' => '{"category":"document_text","codecs":{"video":"ansi","container":"tty"},"puid":{"ns":"pronom","id":"x-fmt\/111","format":"Plain Text File","version":"","mime":"text\/plain","basis":"extension match txt; text match ASCII","warning":""}}',
            ],
            [// id=6
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20211209.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 22,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=7
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20211209.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 23,
                'original_data_id' => 6,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=8
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20211210.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 24,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=9
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20211210.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 25,
                'original_data_id' => 8,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=10
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20211213.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 26,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=11
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20211213.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 27,
                'original_data_id' => 10,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=12
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20211223.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 28,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=13
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20211223.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 29,
                'original_data_id' => 12,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=14
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20211224.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 30,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=15
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20211224.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 31,
                'original_data_id' => 14,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=16
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20220106.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 32,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=17
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20220106.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 33,
                'original_data_id' => 16,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=18
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20220107.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 34,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=19
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20220107.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 35,
                'original_data_id' => 18,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=20
                'is_integrity_ok' => null,
                'type' => 'original_data',
                'filename' => 'asalae_events_log_20220111.xml',
                'format' => 'fmt/101',
                'mime' => 'application/xml',
                'extension' => 'xml',
                'stored_file_id' => 36,
                'original_data_id' => null,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
            [// id=21
                'is_integrity_ok' => null,
                'type' => 'original_timestamp',
                'filename' => 'asalae_events_log_20220111.xml.tsr',
                'format' => null,
                'mime' => 'application/octet-stream',
                'extension' => 'tsr',
                'stored_file_id' => 37,
                'original_data_id' => 20,
                'in_rgi' => false,
                'app_meta' => '[]',
            ],
        ];
        parent::init();
    }
}
